Bug 1033159 - INFO: errors on startup - GSettings missing key
INFO: errors on startup - GSettings missing key
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-tweak-tool (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 11:07 EST by Christopher Beland
Modified: 2016-07-19 06:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:37:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2013-11-21 11:07:01 EST
When I run "gnome-tweak-tool" from the command line, I get the following output:

INFO    : GSettings missing key org.gnome.settings-daemon.plugins.power (key lid-close-battery-action)
INFO    : GSettings missing key org.gnome.settings-daemon.plugins.power (key lid-close-ac-action)
INFO    : GSettings missing key org.gnome.settings-daemon.plugins.power (key lid-close-suspend-with-external-monitor)
INFO    : GSettings missing key org.gnome.nautilus.desktop (key computer-icon-visible)

gnome-tweak-tool-3.10.1-1.fc20.noarch
Comment 1 Mohamed El Morabity 2014-01-06 10:02:54 EST
These messages are purely informative (see the INFO tag), not critical.
Where is the issue?
Comment 2 Clément DAVID 2014-01-28 02:04:46 EST
For me the issue (for the power related missing keys) is that on gnome-tweak-tool Power Tab : the "When laptop lid is closed" item is not configurable at all.
Comment 3 Philip Whitehouse 2014-05-09 14:01:19 EDT
Upstream bug for power issue: https://bugzilla.gnome.org/show_bug.cgi?id=715022

> Yeah, it is now managed by logind/systemd and I need to write a privileged dbus helper to modify a /etc/logind.conf
> (IIRC)
Comment 4 Christopher Beland 2014-12-29 11:33:28 EST
I see the same messages with gnome-tweak-tool-3.14.2-1.fc21.noarch

My philosophy is that programs should not emit complaints at startup unless there is a problem.  I guess the power-related messages are being worked on already.  If there's a problem with the computer-icon-visible message, it should be fixed; if this is harmless, it shouldn't be emitted.

For the record, I don't see an option in the "Icons on Desktop" section of the "Desktop" tab for adding the Nautilus Computer icon to the desktop.  I don't know if that's intentional, but it seems like one of the most useful icons to have if the desktop is your starting place for managing files.
Comment 5 Christopher Beland 2015-06-10 19:14:54 EDT
I am now getting a deprecation warning from gnome-tweak-tool-3.16.2-1.fc22.noarch on startup, plus the original info messages:

/usr/lib64/python2.7/site-packages/gi/overrides/__init__.py:306: Warning: The property GSettings:schema is deprecated and shouldn't be used anymore. It will be removed in a future version.
  return super_init_func(self, **new_kwargs)
INFO    : GSettings missing key org.gnome.settings-daemon.plugins.power (key lid-close-battery-action)
INFO    : GSettings missing key org.gnome.settings-daemon.plugins.power (key lid-close-ac-action)
INFO    : GSettings missing key org.gnome.settings-daemon.plugins.power (key lid-close-suspend-with-external-monitor)
INFO    : GSettings missing key org.gnome.nautilus.desktop (key computer-icon-visible)
Comment 6 Fedora End Of Life 2016-07-19 06:37:22 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.